# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.29

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /home/suzj/Qt/Tools/CMake/bin/cmake

# The command to remove a file.
RM = /home/suzj/Qt/Tools/CMake/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/suzj/AuseftDDSPlugins

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/suzj/AuseftDDSPlugins/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/local/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/home/suzj/Qt/Tools/CMake/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/home/suzj/Qt/Tools/CMake/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/home/suzj/Qt/Tools/CMake/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/home/suzj/Qt/Tools/CMake/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/home/suzj/Qt/Tools/CMake/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/home/suzj/Qt/Tools/CMake/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/home/suzj/Qt/Tools/CMake/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/suzj/AuseftDDSPlugins/build/CMakeFiles /home/suzj/AuseftDDSPlugins/build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/suzj/AuseftDDSPlugins/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named InterfacesIDE

# Build rule for target.
InterfacesIDE: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 InterfacesIDE
.PHONY : InterfacesIDE

# fast build rule for target.
InterfacesIDE/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/InterfacesIDE.dir/build.make CMakeFiles/InterfacesIDE.dir/build
.PHONY : InterfacesIDE/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest

# Build rule for target.
AuseftDDSPlugTest: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest
.PHONY : AuseftDDSPlugTest

# fast build rule for target.
AuseftDDSPlugTest/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build
.PHONY : AuseftDDSPlugTest/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_qmltyperegistration

# Build rule for target.
AuseftDDSPlugTest_qmltyperegistration: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_qmltyperegistration
.PHONY : AuseftDDSPlugTest_qmltyperegistration

# fast build rule for target.
AuseftDDSPlugTest_qmltyperegistration/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/build.make CMakeFiles/AuseftDDSPlugTest_qmltyperegistration.dir/build
.PHONY : AuseftDDSPlugTest_qmltyperegistration/fast

#=============================================================================
# Target rules for targets named all_qmltyperegistrations

# Build rule for target.
all_qmltyperegistrations: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all_qmltyperegistrations
.PHONY : all_qmltyperegistrations

# fast build rule for target.
all_qmltyperegistrations/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/all_qmltyperegistrations.dir/build.make CMakeFiles/all_qmltyperegistrations.dir/build
.PHONY : all_qmltyperegistrations/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_qmllint

# Build rule for target.
AuseftDDSPlugTest_qmllint: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_qmllint
.PHONY : AuseftDDSPlugTest_qmllint

# fast build rule for target.
AuseftDDSPlugTest_qmllint/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_qmllint.dir/build.make CMakeFiles/AuseftDDSPlugTest_qmllint.dir/build
.PHONY : AuseftDDSPlugTest_qmllint/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_qmllint_json

# Build rule for target.
AuseftDDSPlugTest_qmllint_json: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_qmllint_json
.PHONY : AuseftDDSPlugTest_qmllint_json

# fast build rule for target.
AuseftDDSPlugTest_qmllint_json/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_qmllint_json.dir/build.make CMakeFiles/AuseftDDSPlugTest_qmllint_json.dir/build
.PHONY : AuseftDDSPlugTest_qmllint_json/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_qmllint_module

# Build rule for target.
AuseftDDSPlugTest_qmllint_module: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_qmllint_module
.PHONY : AuseftDDSPlugTest_qmllint_module

# fast build rule for target.
AuseftDDSPlugTest_qmllint_module/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_qmllint_module.dir/build.make CMakeFiles/AuseftDDSPlugTest_qmllint_module.dir/build
.PHONY : AuseftDDSPlugTest_qmllint_module/fast

#=============================================================================
# Target rules for targets named all_qmllint

# Build rule for target.
all_qmllint: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all_qmllint
.PHONY : all_qmllint

# fast build rule for target.
all_qmllint/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/all_qmllint.dir/build.make CMakeFiles/all_qmllint.dir/build
.PHONY : all_qmllint/fast

#=============================================================================
# Target rules for targets named all_qmllint_json

# Build rule for target.
all_qmllint_json: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all_qmllint_json
.PHONY : all_qmllint_json

# fast build rule for target.
all_qmllint_json/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/all_qmllint_json.dir/build.make CMakeFiles/all_qmllint_json.dir/build
.PHONY : all_qmllint_json/fast

#=============================================================================
# Target rules for targets named all_qmllint_module

# Build rule for target.
all_qmllint_module: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all_qmllint_module
.PHONY : all_qmllint_module

# fast build rule for target.
all_qmllint_module/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/all_qmllint_module.dir/build.make CMakeFiles/all_qmllint_module.dir/build
.PHONY : all_qmllint_module/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_tooling

# Build rule for target.
AuseftDDSPlugTest_tooling: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_tooling
.PHONY : AuseftDDSPlugTest_tooling

# fast build rule for target.
AuseftDDSPlugTest_tooling/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_tooling.dir/build.make CMakeFiles/AuseftDDSPlugTest_tooling.dir/build
.PHONY : AuseftDDSPlugTest_tooling/fast

#=============================================================================
# Target rules for targets named module_AuseftDDSPlugTest_aotstats_target

# Build rule for target.
module_AuseftDDSPlugTest_aotstats_target: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 module_AuseftDDSPlugTest_aotstats_target
.PHONY : module_AuseftDDSPlugTest_aotstats_target

# fast build rule for target.
module_AuseftDDSPlugTest_aotstats_target/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/module_AuseftDDSPlugTest_aotstats_target.dir/build.make CMakeFiles/module_AuseftDDSPlugTest_aotstats_target.dir/build
.PHONY : module_AuseftDDSPlugTest_aotstats_target/fast

#=============================================================================
# Target rules for targets named all_aotstats

# Build rule for target.
all_aotstats: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all_aotstats
.PHONY : all_aotstats

# fast build rule for target.
all_aotstats/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/all_aotstats.dir/build.make CMakeFiles/all_aotstats.dir/build
.PHONY : all_aotstats/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_qmlimportscan

# Build rule for target.
AuseftDDSPlugTest_qmlimportscan: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_qmlimportscan
.PHONY : AuseftDDSPlugTest_qmlimportscan

# fast build rule for target.
AuseftDDSPlugTest_qmlimportscan/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_qmlimportscan.dir/build.make CMakeFiles/AuseftDDSPlugTest_qmlimportscan.dir/build
.PHONY : AuseftDDSPlugTest_qmlimportscan/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_autogen_timestamp_deps

# Build rule for target.
AuseftDDSPlugTest_autogen_timestamp_deps: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_autogen_timestamp_deps
.PHONY : AuseftDDSPlugTest_autogen_timestamp_deps

# fast build rule for target.
AuseftDDSPlugTest_autogen_timestamp_deps/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_autogen_timestamp_deps.dir/build.make CMakeFiles/AuseftDDSPlugTest_autogen_timestamp_deps.dir/build
.PHONY : AuseftDDSPlugTest_autogen_timestamp_deps/fast

#=============================================================================
# Target rules for targets named AuseftDDSPlugTest_autogen

# Build rule for target.
AuseftDDSPlugTest_autogen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AuseftDDSPlugTest_autogen
.PHONY : AuseftDDSPlugTest_autogen

# fast build rule for target.
AuseftDDSPlugTest_autogen/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest_autogen.dir/build.make CMakeFiles/AuseftDDSPlugTest_autogen.dir/build
.PHONY : AuseftDDSPlugTest_autogen/fast

#=============================================================================
# Target rules for targets named AQTSampleMachinePlug

# Build rule for target.
AQTSampleMachinePlug: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AQTSampleMachinePlug
.PHONY : AQTSampleMachinePlug

# fast build rule for target.
AQTSampleMachinePlug/fast:
	$(MAKE) $(MAKESILENT) -f BEFORE/CMakeFiles/AQTSampleMachinePlug.dir/build.make BEFORE/CMakeFiles/AQTSampleMachinePlug.dir/build
.PHONY : AQTSampleMachinePlug/fast

#=============================================================================
# Target rules for targets named AQTSampleMachinePlug_autogen_timestamp_deps

# Build rule for target.
AQTSampleMachinePlug_autogen_timestamp_deps: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AQTSampleMachinePlug_autogen_timestamp_deps
.PHONY : AQTSampleMachinePlug_autogen_timestamp_deps

# fast build rule for target.
AQTSampleMachinePlug_autogen_timestamp_deps/fast:
	$(MAKE) $(MAKESILENT) -f BEFORE/CMakeFiles/AQTSampleMachinePlug_autogen_timestamp_deps.dir/build.make BEFORE/CMakeFiles/AQTSampleMachinePlug_autogen_timestamp_deps.dir/build
.PHONY : AQTSampleMachinePlug_autogen_timestamp_deps/fast

#=============================================================================
# Target rules for targets named AQTSampleMachinePlug_autogen

# Build rule for target.
AQTSampleMachinePlug_autogen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AQTSampleMachinePlug_autogen
.PHONY : AQTSampleMachinePlug_autogen

# fast build rule for target.
AQTSampleMachinePlug_autogen/fast:
	$(MAKE) $(MAKESILENT) -f BEFORE/CMakeFiles/AQTSampleMachinePlug_autogen.dir/build.make BEFORE/CMakeFiles/AQTSampleMachinePlug_autogen.dir/build
.PHONY : AQTSampleMachinePlug_autogen/fast

#=============================================================================
# Target rules for targets named AQTPackageMachinePlug

# Build rule for target.
AQTPackageMachinePlug: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AQTPackageMachinePlug
.PHONY : AQTPackageMachinePlug

# fast build rule for target.
AQTPackageMachinePlug/fast:
	$(MAKE) $(MAKESILENT) -f plugins/AQTPackageMachinePlug/CMakeFiles/AQTPackageMachinePlug.dir/build.make plugins/AQTPackageMachinePlug/CMakeFiles/AQTPackageMachinePlug.dir/build
.PHONY : AQTPackageMachinePlug/fast

#=============================================================================
# Target rules for targets named AQTPackageMachinePlug_autogen_timestamp_deps

# Build rule for target.
AQTPackageMachinePlug_autogen_timestamp_deps: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AQTPackageMachinePlug_autogen_timestamp_deps
.PHONY : AQTPackageMachinePlug_autogen_timestamp_deps

# fast build rule for target.
AQTPackageMachinePlug_autogen_timestamp_deps/fast:
	$(MAKE) $(MAKESILENT) -f plugins/AQTPackageMachinePlug/CMakeFiles/AQTPackageMachinePlug_autogen_timestamp_deps.dir/build.make plugins/AQTPackageMachinePlug/CMakeFiles/AQTPackageMachinePlug_autogen_timestamp_deps.dir/build
.PHONY : AQTPackageMachinePlug_autogen_timestamp_deps/fast

#=============================================================================
# Target rules for targets named AQTPackageMachinePlug_autogen

# Build rule for target.
AQTPackageMachinePlug_autogen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 AQTPackageMachinePlug_autogen
.PHONY : AQTPackageMachinePlug_autogen

# fast build rule for target.
AQTPackageMachinePlug_autogen/fast:
	$(MAKE) $(MAKESILENT) -f plugins/AQTPackageMachinePlug/CMakeFiles/AQTPackageMachinePlug_autogen.dir/build.make plugins/AQTPackageMachinePlug/CMakeFiles/AQTPackageMachinePlug_autogen.dir/build
.PHONY : AQTPackageMachinePlug_autogen/fast

AuseftDDSPlugTest_autogen/mocs_compilation.o: AuseftDDSPlugTest_autogen/mocs_compilation.cpp.o
.PHONY : AuseftDDSPlugTest_autogen/mocs_compilation.o

# target to build an object file
AuseftDDSPlugTest_autogen/mocs_compilation.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/AuseftDDSPlugTest_autogen/mocs_compilation.cpp.o
.PHONY : AuseftDDSPlugTest_autogen/mocs_compilation.cpp.o

AuseftDDSPlugTest_autogen/mocs_compilation.i: AuseftDDSPlugTest_autogen/mocs_compilation.cpp.i
.PHONY : AuseftDDSPlugTest_autogen/mocs_compilation.i

# target to preprocess a source file
AuseftDDSPlugTest_autogen/mocs_compilation.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/AuseftDDSPlugTest_autogen/mocs_compilation.cpp.i
.PHONY : AuseftDDSPlugTest_autogen/mocs_compilation.cpp.i

AuseftDDSPlugTest_autogen/mocs_compilation.s: AuseftDDSPlugTest_autogen/mocs_compilation.cpp.s
.PHONY : AuseftDDSPlugTest_autogen/mocs_compilation.s

# target to generate assembly for a file
AuseftDDSPlugTest_autogen/mocs_compilation.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/AuseftDDSPlugTest_autogen/mocs_compilation.cpp.s
.PHONY : AuseftDDSPlugTest_autogen/mocs_compilation.cpp.s

PluginLoader.o: PluginLoader.cpp.o
.PHONY : PluginLoader.o

# target to build an object file
PluginLoader.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/PluginLoader.cpp.o
.PHONY : PluginLoader.cpp.o

PluginLoader.i: PluginLoader.cpp.i
.PHONY : PluginLoader.i

# target to preprocess a source file
PluginLoader.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/PluginLoader.cpp.i
.PHONY : PluginLoader.cpp.i

PluginLoader.s: PluginLoader.cpp.s
.PHONY : PluginLoader.s

# target to generate assembly for a file
PluginLoader.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/PluginLoader.cpp.s
.PHONY : PluginLoader.cpp.s

auseftddsplugtest_qmltyperegistrations.o: auseftddsplugtest_qmltyperegistrations.cpp.o
.PHONY : auseftddsplugtest_qmltyperegistrations.o

# target to build an object file
auseftddsplugtest_qmltyperegistrations.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/auseftddsplugtest_qmltyperegistrations.cpp.o
.PHONY : auseftddsplugtest_qmltyperegistrations.cpp.o

auseftddsplugtest_qmltyperegistrations.i: auseftddsplugtest_qmltyperegistrations.cpp.i
.PHONY : auseftddsplugtest_qmltyperegistrations.i

# target to preprocess a source file
auseftddsplugtest_qmltyperegistrations.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/auseftddsplugtest_qmltyperegistrations.cpp.i
.PHONY : auseftddsplugtest_qmltyperegistrations.cpp.i

auseftddsplugtest_qmltyperegistrations.s: auseftddsplugtest_qmltyperegistrations.cpp.s
.PHONY : auseftddsplugtest_qmltyperegistrations.s

# target to generate assembly for a file
auseftddsplugtest_qmltyperegistrations.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/auseftddsplugtest_qmltyperegistrations.cpp.s
.PHONY : auseftddsplugtest_qmltyperegistrations.cpp.s

build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.o: build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.o
.PHONY : build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.o

# target to build an object file
build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.o
.PHONY : build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.o

build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.i: build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.i
.PHONY : build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.i

# target to preprocess a source file
build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.i
.PHONY : build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.i

build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.s: build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.s
.PHONY : build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.s

# target to generate assembly for a file
build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.s
.PHONY : build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.cpp.s

build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.o: build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.o
.PHONY : build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.o

# target to build an object file
build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.o
.PHONY : build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.o

build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.i: build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.i
.PHONY : build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.i

# target to preprocess a source file
build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.i
.PHONY : build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.i

build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.s: build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.s
.PHONY : build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.s

# target to generate assembly for a file
build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.s
.PHONY : build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.cpp.s

build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.o: build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.o
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.o

# target to build an object file
build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.o
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.o

build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.i: build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.i
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.i

# target to preprocess a source file
build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.i
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.i

build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.s: build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.s
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.s

# target to generate assembly for a file
build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.s
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.cpp.s

build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.o: build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.o
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.o

# target to build an object file
build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.o
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.o

build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.i: build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.i
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.i

# target to preprocess a source file
build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.i
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.i

build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.s: build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.s
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.s

# target to generate assembly for a file
build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.s
.PHONY : build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.cpp.s

main.o: main.cpp.o
.PHONY : main.o

# target to build an object file
main.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i
.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s
.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/AuseftDDSPlugTest.dir/build.make CMakeFiles/AuseftDDSPlugTest.dir/main.cpp.s
.PHONY : main.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... AQTPackageMachinePlug_autogen"
	@echo "... AQTPackageMachinePlug_autogen_timestamp_deps"
	@echo "... AQTSampleMachinePlug_autogen"
	@echo "... AQTSampleMachinePlug_autogen_timestamp_deps"
	@echo "... AuseftDDSPlugTest_autogen"
	@echo "... AuseftDDSPlugTest_autogen_timestamp_deps"
	@echo "... AuseftDDSPlugTest_qmlimportscan"
	@echo "... AuseftDDSPlugTest_qmllint"
	@echo "... AuseftDDSPlugTest_qmllint_json"
	@echo "... AuseftDDSPlugTest_qmllint_module"
	@echo "... AuseftDDSPlugTest_qmltyperegistration"
	@echo "... InterfacesIDE"
	@echo "... all_aotstats"
	@echo "... all_qmllint"
	@echo "... all_qmllint_json"
	@echo "... all_qmllint_module"
	@echo "... all_qmltyperegistrations"
	@echo "... module_AuseftDDSPlugTest_aotstats_target"
	@echo "... AQTPackageMachinePlug"
	@echo "... AQTSampleMachinePlug"
	@echo "... AuseftDDSPlugTest"
	@echo "... AuseftDDSPlugTest_tooling"
	@echo "... AuseftDDSPlugTest_autogen/mocs_compilation.o"
	@echo "... AuseftDDSPlugTest_autogen/mocs_compilation.i"
	@echo "... AuseftDDSPlugTest_autogen/mocs_compilation.s"
	@echo "... PluginLoader.o"
	@echo "... PluginLoader.i"
	@echo "... PluginLoader.s"
	@echo "... auseftddsplugtest_qmltyperegistrations.o"
	@echo "... auseftddsplugtest_qmltyperegistrations.i"
	@echo "... auseftddsplugtest_qmltyperegistrations.s"
	@echo "... build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.o"
	@echo "... build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.i"
	@echo "... build/.qt/rcc/qrc_AuseftDDSPlugTest_raw_qml_0.s"
	@echo "... build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.o"
	@echo "... build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.i"
	@echo "... build/.qt/rcc/qrc_qmake_AuseftDDSPlugTest.s"
	@echo "... build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.o"
	@echo "... build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.i"
	@echo "... build/.rcc/qmlcache/AuseftDDSPlugTest_Main_qml.s"
	@echo "... build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.o"
	@echo "... build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.i"
	@echo "... build/.rcc/qmlcache/AuseftDDSPlugTest_qmlcache_loader.s"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

